com.rscja.deviceapi.entity

## Class GPIStateEntity

- java.lang.Object
- - com.rscja.deviceapi.entity.GPIStateEntity

-     public class GPIStateEntity
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `GPI1`
    `static java.lang.String` | `GPI2`
    `static java.lang.String` | `GPI3`
    `static java.lang.String` | `GPI4`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GPIStateEntity()`
    `GPIStateEntity(java.lang.String gpioName, int state)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getGpiName()`
    `int` | `getGpiState()`
    `void` | `setGpiName(java.lang.String gpiName)`
    `void` | `setGpiState(int gpiState)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GPI1

          public static final java.lang.String GPI1

      See Also:
        Constant Field Values

    - #### GPI2

          public static final java.lang.String GPI2

      See Also:
        Constant Field Values

    - #### GPI3

          public static final java.lang.String GPI3

      See Also:
        Constant Field Values

    - #### GPI4

          public static final java.lang.String GPI4

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GPIStateEntity

          public GPIStateEntity()

    - #### GPIStateEntity

          public GPIStateEntity(java.lang.String gpioName,
                                int state)

  - ### Method Detail

    - #### getGpiName

          public java.lang.String getGpiName()

    - #### setGpiName

          public void setGpiName(java.lang.String gpiName)

    - #### getGpiState

          public int getGpiState()

    - #### setGpiState

          public void setGpiState(int gpiState)